#
# spec file for package yast2-ncurses (Version 2.14.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel boost boost-devel bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel info insserv klogd less libacl libattr libcom_err libgcc41 libicu libidn libidn-devel libltdl libmudflap41 libnscd libpng libstdc++-devel libstdc++41 libstdc++41-devel libtool libusb libvolume_id libxcrypt libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp libzypp-devel linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm rpm-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim yast2-core yast2-core-devel yast2-devtools zlib zlib-devel

Name:           yast2-ncurses
Version:        2.14.5
Release:        0.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ncurses-2.14.5.tar.bz2
Prefix:         /usr
BuildRequires:  doxygen gcc-c++ libzypp-devel yast2-core-devel yast2-devtools
BuildRequires:  blocxx-devel libxcrypt-devel
Summary:        YaST2 - Character Based User Interface
Provides:       yast2_ui
Provides:       y2base:/var/lib/YaST2/servers/ncurses
Provides:       y2base:/usr/lib/YaST2/servers/ncurses
Provides:       y2base:/usr/lib/YaST2/plugin/libpy2ncurses.so.2
Provides:       yast2-ui-ncurses
Obsoletes:      yast2-ui-ncurses
Provides:       yast2-ui-ncurses-devel
Obsoletes:      yast2-ui-ncurses-devel
Provides:       y2curses
Obsoletes:      y2curses
Requires:       glibc-locale
#zypp::ui::PatternContents
Requires:       libzypp >= 2.7.0

%description
This package contains the character based (ncurses) user interface
component for YaST2.



%debug_package
%prep
%setup -n yast2-ncurses-2.14.5

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
rm $RPM_BUILD_ROOT/%{_libdir}/YaST2/plugin/libpy2ncurses.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%{_libdir}/YaST2/plugin/libpy2ncurses.so.*
%{_libdir}/YaST2/plugin/libpy2ncurses.so
/usr/share/YaST2/data/pkg_layout.ycp
/usr/share/YaST2/data/you_layout.ycp
%doc %{prefix}/share/doc/packages/yast2-ncurses
%changelog
* Tue Sep 11 2007 - gs@suse.de
- Package installation: check the partition size to prevent
  division by zero during disk space calculation (bug #303700)
- 2.14.5
* Wed Nov 29 2006 - kmachalkova@suse.cz
- Display updated patches also in 'installable' view (not only in
  'installed' one) (#223416)
- 2.14.4
* Fri Nov 24 2006 - kmachalkova@suse.cz
- Reverted fix for refreshing screen in installation (#199256)
- More space for filter description in package selector (#222549)
- 2.14.3
* Tue Nov 07 2006 - gs@suse.de
- Package Installation/Online Update: added support for resolver
  test case generation, additional entry 'Etc.' menu (Fate #300756)
- 2.14.2
* Thu Nov 02 2006 - gs@suse.de
- Online update: Improved list of relevant patches (bug #168758)
- 2.14.1
* Tue Oct 31 2006 - kmachalkova@suse.cz
- (Temporary) fix for refreshing screen during the installation
  (#199256)
- Adjusted spec to require libzypp >=2.7.0 (zypp::ui::PatternContent)
- 2.14.0
* Mon Oct 30 2006 - gs@suse.de
- Package Installation: Fold hidden patterns into parents (Fate #301229)
- Online Update: show list of installable (relevant) patches
  (bug # 168758)
- 2.13.47
* Wed Oct 11 2006 - gs@suse.de
- Online Update: Allow deletion of patches (bug #208694)
  Package Installation: change status to delete if '-' is pressed,
  use %% key to reset taboo status (bug #204072)
- 2.13.46
* Tue Oct 10 2006 - gs@suse.de
- Package Installation: Show low disk space warning similiar to
  QT version (FaTE #300548)
- 2.13.45
* Wed Sep 27 2006 - kmachalkova@suse.cz
- Better displaying of visited hyperlinks in NCRichText (#144428)
- 2.13.44
* Mon Sep 18 2006 - kmachalkova@suse.cz
- Improved HTML parser in NCRichText (header, paragraph and list
  handling) (FaTE #3124)
- 2.13.43
* Thu Sep 14 2006 - gs@suse.de
- Package Installation: default entry in filter menu is 'Patterns'
- 2.13.42
* Thu Sep 14 2006 - kmachalkova@suse.cz
- Adding ncursesw autoconf check to configure.in.in to ensure
  portability to other distros (#201705)
* Thu Sep 14 2006 - gs@suse.de
- Package Installation: search in the "provides" tag of the installed
  package (bug #180232)
* Wed Sep 13 2006 - sh@suse.de
- Applied patch from Ricardo Cruz <rpmcruz@clix.pt>
  for new UI::Beep() built-in
* Tue Sep 12 2006 - gs@suse.de
- Package Installation: show details of package and pattern
  dependencies (bug #178494, bug #201745)
- 2.13.41
* Tue Jun 20 2006 - gs@suse.de
- Online Update: don't show the patch size (bug #186100);
  show the patch summary, if available, else the name of the patch
  (bug #186209).
- 2.13.40
* Mon Jun 12 2006 - mvidner@suse.cz
- Fixed the previous fix not to pass milliseconds to usleep.
- 2.13.39
* Mon Jun 12 2006 - visnov@suse.cz
- If there is no active widget and we are running against timeout,
  really timeout (#182982)
- 2.13.38
* Fri Jun 09 2006 - visnov@suse.cz
- Redraw the screen after updating the text entry value (#167609)
- 2.13.37
* Fri Jun 02 2006 - gs@suse.de
- Online Update: make resetting of status Taboo and Protected
  possible (related to bug #174476)
- 2.13.36
* Tue May 30 2006 - gs@suse.de
- Added support for licenses for patches (bug #174476)
- 2.13.35
* Mon May 22 2006 - gs@suse.de
- Check whether the window pointer is valid in ::wCreate
  to prevent a segfault if the terminal is too small
  (bug #175920)
- 2.13.34
* Fri May 19 2006 - gs@suse.de
- Package Installation: Sort the pattern list (bug #176603)
- 2.13.33
* Thu May 18 2006 - kkaempf@suse.de
- adapt to libzypp 1.0.0 api
- require libzypp >= 1.0.0
- 2.13.32
* Wed May 17 2006 - gs@suse.de
- Package Installation/Online Update: Install correct package if the user
  requests a certain package version, i.e. changing the "candidate".
  Add view 'Versions' to Online Update 'Information' menu.
  (bug #164487)
- 2.13.31
* Wed May 10 2006 - gs@suse.de
- Package Installation dialag: Create appropriate 'Filter' menu
  with 'Patterns' or 'Selections' (bug #171024, bug #173885)
- 2.13.30
* Tue May 09 2006 - gs@suse.de
- show "Automatic Changes List" correctly (bug #152700)
- 2.13.29
* Thu May 04 2006 - gs@suse.de
- messages from proofread merged back
- 2.13.28
* Wed May 03 2006 - gs@suse.de
- Online Update: show text "No patches available" if the patch list is empty
- 2.13.27
* Tue Apr 25 2006 - gs@suse.de
- bugfix for #167565 - UI: deselecting one preselected pattern deselects
  everything (add transactResKind( zypp::ResTraits<zypp::Product>::kind )
- 2.13.26
* Mon Apr 24 2006 - gs@suse.de
- bugfix for list of problematic update items (add installed
  packages to SelMapper to show packages marked auto-delete)
- Online Update: don't show label 'Installable Patches'
- 2.13.25
* Fri Apr 21 2006 - gs@suse.de
- list of problematic update items added
- handle Auto status for patches
- 2.13.24
* Thu Apr 20 2006 - gs@suse.de
- Don't show the "Automatic Changes" list in Online Update mode
- 2.13.23
* Thu Apr 20 2006 - mvidner@suse.cz
- Catch exceptions when calling package management code (#166278).
- 2.13.22
* Wed Apr 19 2006 - gs@suse.de
- set status of packages correctly (Bug 164365)
- do an initial solver run also in YOU mode
- sort the list of patches, show edition of patch packages
- 2.13.21
* Wed Apr 12 2006 - gs@suse.de
- also set status to Taboo in case of AutoInstall and to Protected
  in case of AutoUpdate (bugfix for bugfix bug #163827)
- 2.13.20
* Tue Apr 11 2006 - gs@suse.de
- check for pending licenses (bug #163827)
- 2.13.19
* Mon Apr 10 2006 - gs@suse.de
- Fixed inconsistent propagation of installation status of packages
  that belong to selections, patterns, languages etc.
- show/check dependencies also in YOU mode
- 2.13.18
* Fri Apr 07 2006 - gs@suse.de
- solve pattern/selection dependencies correctly (bug #161400),
  show architecture in versions view
- 2.13.17
* Wed Mar 29 2006 - gs@suse.de
- Show/set correct status information for packages in versions view
  (available packages)
- 2.13.16
* Tue Mar 28 2006 - gs@suse.de
- YOU patch installation: avoid duplicate entries in package list,
  show download size, show scripts
- 2.13.15
* Mon Mar 27 2006 - gs@suse.de
- make YOU patch installation work
- 2.13.14
* Mon Mar 13 2006 - mvidner@suse.cz
- Added license confirmations (#151834).
- Show the list of automatically changed packages (#152700#c1).
- Show the list of update problems: Protected, Taboo, AutoDeleted.
- 2.13.13
* Fri Mar 10 2006 - mvidner@suse.cz
- Messages for the package conflict dialog marked for translation.
* Fri Mar 03 2006 - mvidner@suse.cz
- Disk usage display fixed (#152269).
- 2.13.12
* Mon Feb 27 2006 - mvidner@suse.cz
- Sort packages in a selection.
- No need to resolve the pool again before displaying the packages
  in a selection.
- Hid menu items of features that do not work:
  SRPMs, Selection Load/Save.
- Only show the Installed Version column if any packages are installed.
- Do not show '?' in the Source column.
- 2.13.11
* Fri Feb 24 2006 - mvidner@suse.cz
- Tried to allow selecting one of the available package versions.
- When canceling the package selection, ask for confirmation
  only if the user has changed something (but see #152700).
* Wed Feb 22 2006 - mvidner@suse.cz
- When exiting the package dialog, show packages which are
  automatically selected for installation (but see #152700).
- Display the RPM group tree.
- Display package relations, enable search in requires and provides.
- Display the available versions of a package.
- 2.13.10
* Wed Feb 22 2006 - mvidner@suse.cz
- Fixed displaying the shortcut keys for wide characters (#148380, tiwai).
* Tue Feb 21 2006 - mvidner@suse.cz
- Do not package the doxygen documentation, it is only useful for the
  maintainer (#151370).
- 2.13.9
* Fri Feb 17 2006 - mvidner@suse.cz
- If patterns are available, display them instead of selections.
* Thu Feb 16 2006 - mvidner@suse.cz
- Show something in the update problem list, for now
  just the deleted packages.
- Prepare for detecting whether the user has made any changes
  upon abort.
- 2.13.8
* Thu Feb 16 2006 - mvidner@suse.cz
- Added the selection list.
- Most popups should work now, some with faked data though.
- Show also medium ID and RPM group.
- 2.13.7
* Wed Feb 15 2006 - mvidner@suse.cz
- Show most package details.
- Search works, except in dependencies.
- 2.13.6.4
* Wed Feb 15 2006 - mvidner@suse.cz
- Dependency solver ported.
- Reduced BuildReqs, libzypp-devel has them now.
- 2.13.6.3
* Tue Feb 14 2006 - mvidner@suse.cz
- Minimal zypp support:
  * One list with all packages.
  * Can change status. No popups and no details.
  * If there are package conflicts, they will be ignored by the UI
  and the actual installation will fail (with a misleading popup,
  but the logs have it right).
- 2.13.6.2
* Fri Feb 10 2006 - mvidner@suse.cz
- Ripped out all package related stuff: y2pm out, zypp not yet in (#149879)
- 2.13.6
* Tue Jan 24 2006 - visnov@suse.cz
- Disable sorting in non-YTable (#143085)
- V 2.13.5
* Tue Jan 17 2006 - sh@suse.de
- Fixed bug #77920: Not stripping shortcut from frame
  ("Network Address Setup dialog cannot be finished by a hotkey")
- V 2.13.4
* Mon Jan 09 2006 - visnov@suse.cz
- Allow to set table order by Ctrl-O
- V 2.13.3
* Tue Dec 20 2005 - visnov@suse.cz
- Don't link against libpy2stdio
- V 2.13.2
* Thu Nov 24 2005 - visnov@suse.cz
- Fix strict aliasing warnings
- V 2.13.1
* Mon Oct 10 2005 - visnov@suse.cz
- Fix compilation for GCC 4.1
- V 2.13.0
* Thu Aug 11 2005 - visnov@suse.cz
- Resolve entities even in <pre> (#71718)
- V 2.12.6
* Wed Aug 10 2005 - visnov@suse.cz
- Don't crash on pressing Esc in AskForExistingDirectory (#96141)
* Mon Jul 11 2005 - sh@suse.de
- Fixed bug #95722: No items in NCurses MultiSelectionBox
- V 2.12.5
* Mon Jul 11 2005 - visnov@suse.cz
- Fix build dependencies
- 2.12.4
* Tue May 10 2005 - mlazar@suse.cz
- 2.12.3
* Fri Apr 15 2005 - visnov@suse.cz
- gcc4 fixes
- 2.12.2
* Wed Apr 13 2005 - mlazar@suse.cz
- fixed bug 75269 - Can't select different versions of available kernels packages
* Wed Mar 16 2005 - mlazar@suse.cz
- 2.12.1
- implemented feature 100313: Allow switching of color palette at
  runtime in ncurses
* Mon Mar 14 2005 - mlazar@suse.cz
- fixed Bug 71815 - yast: unnecessary warning in packager (ncurses)
* Mon Mar 14 2005 - mlazar@suse.cz
- NCTextPad.cc: fixed bug 66104: off-by-one error in autoyast
- NCRichText.cc: silently discards all unknown tags (see bug 67319)
* Mon Mar 07 2005 - mlazar@suse.cz
- 2.12.0
- fixed bug 67350 - Can't change RPM group in NCurses package manager
  (reverted patch from Tue Nov 23 16:28:41 CET 2004; see also bug 46154)
* Thu Feb 17 2005 - mlazar@suse.cz
- 2.11.3
- redirected stderr and stdout do log (see bug 42155)
* Fri Jan 21 2005 - mlazar@suse.cz
- 2.11.2
* Tue Nov 23 2004 - mlazar@suse.cz
- KEY_RETURN open/close subtree in TreeWidget (#31154)
* Tue Nov 23 2004 - mlazar@suse.cz
- KEY_SPACE open/close subtree in TreeWidget (#31154)
* Mon Nov 01 2004 - mvidner@suse.cz
- Added pkgconfig support.
- 2.11.1
* Wed Oct 06 2004 - sh@suse.de
- Dropped support for hardcoded images "suseheader" and "yast2"
  Use path names and/or the wizard instead!
* Tue Sep 21 2004 - mlazar@suse.cz
- don't display empty ComboBox (bug #45542)
* Mon Sep 20 2004 - mlazar@suse.cz
- 2.10.5
* Fri Sep 17 2004 - mlazar@suse.cz
- bug #27296 fixed again
* Wed Sep 15 2004 - sh@suse.de
- V 2.10.4
- Added huge numbers (long long) support (YCPInteger is long long)
  (fix for bug #44680: Progress bar in NCurses UI shows bogus values)
* Tue Sep 14 2004 - mlazar@suse.cz
- temporary reverted fix #27296 (not completly fixed)
- removed yast2 from needforbuild
- 2.10.3
* Tue Sep 07 2004 - mlazar@suse.cz
- fixed nicesize in SelectionBox
* Tue Sep 07 2004 - mlazar@suse.cz
- fixed Bugzilla Bug 27296 - provider name displayed wrong
* Tue Sep 07 2004 - mlazar@suse.cz
- fixed Bugzilla Bug 44561 - ncurses: weird menu behavior
* Tue Sep 07 2004 - mlazar@suse.cz
- fixed bug created during fixing previous bug
* Mon Sep 06 2004 - mlazar@suse.cz
- fixed bug #44559 and #44575 - wizard menu in curses is not shown
- 2.10.2
* Mon Sep 06 2004 - mlazar@suse.cz
- fixed bug when activate resized panel with new state same as old
  state (in this case panel was not showed)
* Mon Sep 06 2004 - mlazar@suse.cz
- 2.10.1
* Mon Sep 06 2004 - mlazar@suse.cz
- patch for confirming license (Bugzilla Bug 44145)
* Wed Jul 21 2004 - mlazar@suse.cz
- fixed Bugzilla Bug 35409 - `Top( `Frame() ) without top left corner
* Fri Jul 16 2004 - mlazar@suse.cz
- fixed Bugzilla Bug 43005 - Hardware information not shown in ncurses mode
* Thu Jul 08 2004 - mlazar@suse.cz
- fixed bug #42736: file selection dialog does not show large files (>1GB)
* Tue Jun 22 2004 - mlazar@suse.cz
- fixed bug #42327 (yast2-ncurses abort when resizing window)
* Thu Jun 17 2004 - mlazar@suse.cz
- V 2.10.0
- Merged the 9.1 branch
* Wed May 26 2004 - gs@suse.de
- V 2.9.26
- sort the list of package selections (bug #38766)
* Wed May 12 2004 - gs@suse.de
- V 2.9.25
- handle empty string correctly in NCstring recode methods (bug #40165)
* Fri May 07 2004 - gs@suse.de
- V 2.9.24
- file selection: don't overwrite given file name (bug #39189)
* Fri Apr 23 2004 - gs@suse.de
- V 2.9.23
- file selection: get correct directory and file name (bug #39189)
- LogView widget: limited size for window (bug #39536)
- prevent the handling of invalid widgets (bug #38700, #37768)
* Tue Apr 20 2004 - mvidner@suse.cz
- link against libyui to make loading from Perl work (#39192)
- 2.9.22
* Tue Apr 13 2004 - gs@suse.de
- V 2.9.21
- accept non-latin1 characters (bug #38348)
* Mon Apr 05 2004 - gs@suse.de
- V 2.9.20
- ignore Ctrl C (bug #37960)
- show title help line correctly (bug #38173)
* Fri Apr 02 2004 - gs@suse.de
- V 2.9.19
- deactivate logging (bug #37768)
- bugfix in RichText for <pre> tag
- license changed to GPL
* Fri Mar 26 2004 - gs@suse.de
- V 2.9.18
- YOU mode: bugfix filter for patch kind
- possibility to disable/enable RichText widget
* Mon Mar 22 2004 - gs@suse.de
- V 2.9.17
- use correct encoding for title help (bug #36506)
* Fri Mar 19 2004 - gs@suse.de
- V 2.9.16
- file selection: check for valid group and user (bug #36556)
* Fri Mar 19 2004 - sh@suse.de
- Graceful handling for duplicate entries in combo box
* Tue Mar 16 2004 - gs@suse.de
- package installation: improve license popup (bug #33584),
  check size of popups (bug #35873),
  bugfix package selections (bug #36541)
* Mon Mar 15 2004 - gs@suse.de
- V 2.9.15
- show license (EULA), bug #33584
* Fri Mar 12 2004 - sh@suse.de
- V 2.9.14
- Adapted to const ref fix in libyui for all widget constructors
* Fri Mar 12 2004 - gs@suse.de
- V 2.9.13
- bugfix setfont options (YNCursesUI::setConsoleFont)
* Wed Mar 10 2004 - lnussel@suse.de
- package installation: handle downgrade case in dependency popup
* Fri Mar 05 2004 - gs@suse.de
- V 2.9.12
- missing #include <y2pm/InstSrcManager.h> added
* Wed Mar 03 2004 - gs@suse.de
- V 2.9.11
- messages from proofread merged back
- show text cursor correctly (bug #35055)
* Mon Mar 01 2004 - gs@suse.de
- V 2.9.10
- package installation: sort list of search results (bug #35060)
- RichText: change colors for bold text and headline (bug #34410)
* Fri Feb 27 2004 - visnov@suse.cz
- V 2.9.9
- adapted for the new counted pointers in core
* Sun Feb 22 2004 - kkaempf@suse.de
- dont redeclare package pointers
- 2.9.8
* Fri Feb 20 2004 - gs@suse.de
- V 2.9.7
- enable the use of cursor keys in radio button boxes
* Wed Feb 04 2004 - gs@suse.de
- V 2.9.6
- change layout files for package/patch installation to work with NI
- remove workaround for missing ACS chars
* Thu Jan 29 2004 - sh@suse.de
- Fixed Y2Component handling (cmd line args etc.)
* Thu Jan 29 2004 - arvin@suse.de
- V 2.9.5
- fixed for ncurses 5.4
* Tue Jan 27 2004 - sh@suse.de
- V 2.9.4
- Reasonable and consistent naming (new interpreter components etc.)
* Fri Jan 16 2004 - jsrain@suse.de
- merged the new interpreter branch
* Fri Dec 12 2003 - msvec@suse.cz
- adapted for the logging changes in liby2util
- 2.9.3
* Fri Nov 21 2003 - gs@suse.de
- V 2.9.2
- don't draw the outer frame in full screen mode
- package installation: show column headers for all package lists
* Wed Nov 12 2003 - gs@suse.de
- V 2.9.1
- provide file selection widgets
- create KeyEvents
- switch to doxygen
* Mon Sep 22 2003 - gs@suse.de
- V 2.8.19
- remove blinking from progress bar (bug #31454)
- show correct patch size in YOU mode (bug #31522)
* Fri Sep 19 2003 - gs@suse.de
- V 2.8.18
- Requires: glibc-locale added to spec-file
* Fri Sep 12 2003 - gs@suse.de
- V 2.8.17
- bugfix in RichText widget (bug #30621)
- cut lines in LogView widget (don't allocate too much memory)
- don't use ACS chars on console if locale is not UTF-8 (bug #30512)
- new style for ProgressBar
* Mon Sep 08 2003 - gs@suse.de
- V 2.8.16
- new style for not active selection box widget (bug #30035)
* Fri Sep 05 2003 - arvin@suse.de
- don't allocate tmp buffer on stack (can be too huge) (bug #29716)
* Tue Sep 02 2003 - gs@suse.de
- online udpate: show included scripts and files
- don't return `cancel after window resize (bug #29853)
* Thu Aug 28 2003 - gs@suse.de
- V 2.8.15
- bugfix for wide character support in RichText widget
  (get correct width of text)
- online update: default is list of installable patches
* Mon Aug 25 2003 - gs@suse.de
- V 2.8.14
- package installation: support a link to a related package
  in the package description, bugfix two line messages
- Y2NCursesUI: set environment variable LC_CTYPE
* Mon Aug 18 2003 - gs@suse.de
- V 2.8.13
- RichText: support <pre> tag
* Tue Aug 12 2003 - gs@suse.de
- V 2.8.12
- bugfix in constructor of NCPopup...-classes (don't add child
  widgets twice)
* Mon Aug 11 2003 - gs@suse.de
- V 2.8.11
- texts from proofread patched back
- SelectionBox returns ValueChanged event
- show patch/package description on KEY_PPAGE/KEY_NPAGE
* Tue Aug 05 2003 - gs@suse.de
- V 2.8.10
- get correct encoding in setConsoleFont(),
- setKeyboard() added
* Mon Jul 28 2003 - gs@suse.de
- V 2.8.9
- support &product; in RichText (automatically replace the product info)
* Fri Jul 25 2003 - gs@suse.de
- V 2.8.8
- set terminal encoding in constructor Y2NCursesUI::Y2NCursesUI;
* Wed Jul 16 2003 - gs@suse.de
- V 2.8.7
- fix RPM build error: Installed (but unpackaged) file(s) found:
  /usr/lib/YaST2/bin/y2ncurses
* Wed Jul 16 2003 - gs@suse.de
- V 2.8.6
- remove obsolete enum from Y2NCursesUI.h
* Wed Jul 09 2003 - gs@suse.de
- V 2.8.5
- adapt ncurses-UI to UTF-8 support
- use advanced event handling
* Wed May 28 2003 - ma@suse.de
- V 2.8.4
- Fixes for creating and drawing dialogs on verry small terminals.
* Tue May 27 2003 - ma@suse.de
- V 2.8.3
- Prettify dialog shaddows (#27018)
* Mon May 26 2003 - ma@suse.de
- V 2.8.2
- Fixed handling of resize events (#13272)
* Tue May 20 2003 - gs@suse.de
- package installation: additional filter view "Installed Packages",
  installation of source packages (SRPMs), improved dependency popup
* Wed Apr 30 2003 - ma@suse.de
- Fixed list indentation in RichText widget (#18204)
* Tue Mar 11 2003 - gs@suse.de
- V 2.7.13
- package installation: check dependencies at startup (bug #25011),
  fixed typo in help text
* Fri Mar 07 2003 - gs@suse.de
- V 2.7.12
- package installation: bugfix for not translated messages (#24834),
  update required diskspace after dependency solving
* Tue Mar 04 2003 - gs@suse.de
- NCstyle.braille.h added to Makefile.am
* Mon Mar 03 2003 - gs@suse.de
- V 2.7.11
- get the floppy device to save/load package selections (bug #23923)
* Wed Feb 26 2003 - ma@suse.de
- Support unsing a different styleset for Braille-Users. Activated, if
  environmentvariable Y2_BRAILLE is set.
* Tue Feb 25 2003 - gs@suse.de
- package installation: restore the package manager state on Cancel,
  show a warning popup, show file list for installed packages
* Mon Feb 24 2003 - ma@suse.de
- V 2.7.10
- Implemented opt(immediate) for SelectionBox. If set together with
  opt(notify), userInput is triggered on selection bar movement too.
- Do not trigger UserInput for empty SelectionBox/Table/Tree, if
  SPACE was pressed. (#24023)
* Mon Feb 24 2003 - gs@suse.de
- V 2.7.9
- package installation: save and load package selections (bug #23923)
* Fri Feb 21 2003 - gs@suse.de
- package installation: display a list containing all packages which
  will be installed automatically (bug #23770)
* Thu Feb 20 2003 - gs@suse.de
-- display correct formatted text in notify popups (bug #23868)
* Tue Feb 18 2003 - gs@suse.de
- draw the progress bar correctly (bug #23189)
* Tue Feb 18 2003 - ma@suse.de
- Filter character entities in richtext widget (&[amp|gt|lt|nbsp|quot];)
  (#23721)
* Mon Feb 17 2003 - gs@suse.de
- V 2.7.8
- setLanguage: never set encoding to UTF-8 (bug #23348)
- package installation: show more package info, improved
  selection popup, show total download size in YOU mode
* Thu Feb 13 2003 - ma@suse.de
- Let all widgets respond to UI enable/disable requests.
- Let Frames enable/disable all widgets in it (#22471)
* Mon Feb 10 2003 - gs@suse.de
- V 2.7.7
- package installation: allow status "Taboo" for installed packages,
  provide the save/load settings popup (not yet finished)
* Fri Jan 31 2003 - gs@suse.de
- V 2.7.6
- package installation: dependency popup improved (it is possible to
  ignore dependencies); show used/free/total disk space;
  show error popup if disk space is exhausted
* Thu Jan 30 2003 - ma@suse.de
- Widgets beeping on illegal keyboard input (NCIntField|NCTextEntry|NCTextPad)
  must handle KEY_HOTKEY, otherwise they beep on hotkey activation. (#23198)
* Mon Jan 27 2003 - gs@suse.de
- V 2.7.5
- rpm-devel added to neededforbuild
- package installation: show dependencies between package selections
* Tue Dec 03 2002 - arvin@suse.de
- added curl-devel and openssl-devel to neededforbuild
* Fri Nov 29 2002 - gs@suse.de
- V 2.7.3
- function key handling enabled
- improvements for package installation dialog
* Tue Nov 26 2002 - gs@suse.de
- V 2.6.24
  online update: better format for patch descriptions
  (preserve newlines)
* Thu Nov 14 2002 - ma@suse.de
- V 2.7.2
- Fixed bug that inhibits logging on big-endian architectures.
* Thu Nov 14 2002 - ma@suse.de
- V 2.6.23
- Fixed bug that inhibits logging on big-endian architectures.
* Wed Nov 13 2002 - gs@suse.de
- V 2.6.22
- package installation: package categories which will be installed
  are selected in Filter/Selections menu (bug #21700)
* Thu Nov 07 2002 - sh@suse.de
- Fixed bug #19389: Frame widget shows keyboard shortcuts, but
  can't handle any
* Mon Oct 21 2002 - gs@suse.de
- V 2.6.21
- package installation: show correct package dependencies in case of
  package conflicts (bug #21045/#21061), show the license
* Wed Oct 09 2002 - gs@suse.de
- V 2.6.20
- package installation: show the source of installation in the list
  of available packages (bug #20734)
* Wed Sep 18 2002 - gs@suse.de
- V 2.6.19
- package installation: update the required disk space info
  if selections are selected/deselected (bug #19770),
  show translated summary of installed packages and
  the selections, toggle the package status with space key,
  layout of search popup changed (headline was truncated)
  (bug #19725)
* Thu Sep 12 2002 - gs@suse.de
- V 2.6.18
- package installation: show the delete notify also if a package
  is deselected or is set to status taboo
* Tue Sep 10 2002 - gs@suse.de
- V 2.6.17
- package installation: bugfix duplicate search results (#19342)
- YOU: don't check package dependencies
* Tue Sep 10 2002 - gs@suse.de
- V 2.6.16
- package installation: show the required disk space,
  do an initial dependency solving, allow status change autoinstall -> taboo
- bugfixes YOU: deselect works, don't check dependencies
* Mon Sep 09 2002 - gs@suse.de
- V 2.6.15
- package installation: improved dependency checking
* Sun Sep 08 2002 - gs@suse.de
- V 2.6.14
- package installation: improved performance for large lists,
  search ignore case works, search in summary
* Sat Sep 07 2002 - gs@suse.de
- V 2.6.13
- package installation: show a popup during dependency checking,
- search in package names
* Fri Sep 06 2002 - gs@suse.de
- V 2.6.12
- package installation: dependencies popup improved,
- show the "update problem" list
* Thu Sep 05 2002 - gs@suse.de
- V 2.6.11
- package installation: show conflict dependencies (still not
  yet finished)
* Thu Sep 05 2002 - gs@suse.de
- V 2.6.10
- package installation: return `cancel and `accept
- show the package dependencies (not yet completed)
- set status to taboo is possible now
* Tue Sep 03 2002 - gs@suse.de
- V 2.6.9
- old behaviour of SelectionBox (notify only on return, space)
- package installation: status change respects previous status,
  toggle status enabled
- online udpate: new layout, correct status change
* Wed Aug 28 2002 - gs@suse.de
- V 2.6.8
- SelectionBox respects `opt(`notify)
* Tue Aug 27 2002 - gs@suse.de
- V 2.6.7
- package installation: show more package information,
  select/deselect selections
* Mon Aug 26 2002 - gs@suse.de
- V 2.6.6
- package installation: set the package status
* Sat Aug 24 2002 - gs@suse.de
- V 2.6.5
- package installation: get rpm goups and selections,
  enable YOU mode
* Wed Aug 21 2002 - gs@suse.de
- V 2.6.4
- popup added (beta version), more logging
* Mon Aug 19 2002 - sh@suse.de
- V 2.6.3
- New package management
* Wed Jul 03 2002 - msvec@suse.cz
- devel sub-package not neeeded
* Mon Jun 24 2002 - arvin@suse.de
- renamed from yast2-ui-ncurses to yast2-ncurses
* Wed Apr 24 2002 - arvin@suse.de
- fixed paths for x86-64
* Fri Mar 22 2002 - kkaempf@suse.de
- pass callback information from component stub to interpreter
  (#15311).
* Mon Mar 11 2002 - ma@suse.de
- version to 2.5.14
- Prevent '<li><p>' from opening a new line. Disable first line
  indentation for indented paragraphs. (#14816)
* Fri Mar 08 2002 - ma@suse.de
- version to 2.5.13
- fixed bad text layout in RichText (#14395)
- regard libyui hint, and supress screen upadtes while a ReplacePoints
  content is exchanged.
* Tue Mar 05 2002 - kkaempf@suse.de
- Better vertical space usage in RichText widget:
  Suppress implicit <br> after </hX> (end header tag) if
  <ol> or <ul> (begin list tag) follows, since lists always
  start on a new line. This makes i.e the package installation
  widget display the package name and label in 4 lines instead
  of 6.
* Tue Mar 05 2002 - kkaempf@suse.de
- Suppress "(none)" as hostname in title bar.
* Mon Feb 25 2002 - ma@suse.de
- version to 2.5.10
- show hostname in title line
* Sun Feb 24 2002 - ma@suse.de
- version to 2.5.9
- Removed some superflous mention of of default arguments in
  function definitions. In addition one definition didn't
  comletely match the declaration. At least gcc3 is so kind to
  report this incident.
* Fri Feb 22 2002 - ma@suse.de
- version to 2.5.8
- Revert behaviour of `opt(`notify). UserInput is triggered iff <SPACE>
  or <RETURN> ist pressed. There's too much ycp code, that otherwise breaks.
* Wed Feb 20 2002 - ma@suse.de
- version to 2.5.7
- Changed `opt(`notify) for Table, Lists and Tree. Should behave
  more like qt now. UserInput is now triggered not only if you
  explicitly select an item by pressing <SPACE> or <RETURN>, but
  also if the highlighted item changes.
* Wed Feb 20 2002 - ma@suse.de
- version to 2.5.6
- Fixed screen update. Some widgets changes became not immediatelty
  visible, if dialog is not waiting for userinput. (#13335)
* Fri Feb 15 2002 - kkaempf@suse.de
- "utf-8" -> "UTF-8" for iconv (#13276).
* Thu Feb 14 2002 - schwab@suse.de
- Fix for gcc 3.1.
- Remove ia64 workaround.
* Fri Feb 08 2002 - sh@suse.de
- version to 2.5.4
- added filename constructor to NCImage
* Thu Feb 07 2002 - ma@suse.de
- version to 2.5.3
- fixed IntField: Number entry popup popped down too early.
- fixed CheckBox: Redwaw sometimes left vestiges.
- removed usage of BLINK attribute, as it realy blinks on some
  xterm's and normal VGA linux console.
* Sat Jan 26 2002 - ma@suse.de
- version to 2.5.2
- libyui now is able to tell that multiple drawing operations will
  be performed, so we can avoid superfluous screen updates. This
  speeds up building of large tables, as used in single package
  selection.
* Fri Jan 25 2002 - ma@suse.de
- version to 2.5.1
- fixed `opt(`notify) not working for TextEntry (#12237)
- fixed Frame widget discarding accelerator. Now a Frame activates
  the first appropriate child found. (#10458 )
- new: RichText now supports headlines, ordered and unorderd lists
  and hyperlinks.
- (almost) all widget attributes are now managed by NCStyle class.
  This makes it easier to create introduce new skins.
* Wed Oct 10 2001 - ma@suse.de
- version to 2.5.0
- fix: usage of va_args on ppc caused segmentation fault.
* Sun Sep 09 2001 - ma@suse.de
- fix: setFocus reported an error if the widget already has the
  focus.
* Fri Sep 07 2001 - ma@suse.de
- version to 2.4.5
- UI-specific getDisplayInfo() functions added
* Tue Aug 21 2001 - ma@suse.de
- fixes to compile with gcc 3.0
* Fri Aug 17 2001 - ma@suse.de
- version to 2.4.4
- new: Hotkeys and BackTab (<ESC-key>/<ESC-TAB>) (#8448)
- new: May restrict input characters in TextEntry (#8357)
- new: MenuButton widgets
- fix: Comobox didn't send notify
- fix: Unused special keys (e.g. FKeys,Cursor) in MultiLineEdit
  produced garbage input.
- changed: No more auto disabling of nonscrollable (text fits in
  widget) RichText and LogView. Next step will be to provide zoom
  and collapse function.
- changed: Navigation in Tree. Curs-Left/Right either collapse/expand
  current entry if possible or move to previous/next item otherwise.
  Not both in on step.
* Wed Jul 11 2001 - ma@suse.de
- version to 2.4.3
- fixed setConsoleFont(). 'setfont' and 'magic char echo' now
  explicitly use the same tty ncurses opened at startup.
* Tue Jul 10 2001 - ma@suse.de
- version to 2.4.2
- new widget: MultiSelectionBox
- fixes in font switching
* Tue Jun 19 2001 - kkaempf@suse.de
- implement callback mechanism
- version 2.4.1
* Fri May 11 2001 - kendy@suse.cz
- version 2.3.12
- fixed switching of fonts: czech language was unreadable
  (not reported bug)
* Fri May 11 2001 - kkaempf@suse.de
- version to 2.3.11
- add split-alias entries to specfile (#8133)
* Fri May 11 2001 - ma@suse.de
- version to 2.3.10
- fixed: ComboBox now shows 1st entry if no default provided (#8072)
- fixed: TextEntry en/disabling was unfunctional (#8072)
* Mon Apr 30 2001 - kkaempf@suse.de
- only -devel provides y2curses
* Mon Apr 30 2001 - ma@suse.de
- let yast2-ui-ncurses provide 'YaST2-UI'
* Mon Apr 30 2001 - ma@suse.de
- version to 2.3.8
- log tty detection in ncurses init as milestone
* Wed Apr 25 2001 - ma@suse.de
- don't return an error if setfont fails, as the calling libyui
  function isn't able to make anything usefull out of it.
* Tue Apr 17 2001 - ma@suse.de
- version to 2.3.7
- new color scheme.
* Wed Apr 11 2001 - schwab@suse.de
- Fix ambiguous call to string::insert.
* Wed Apr 04 2001 - ma@suse.de
- version to 2.3.6
- fixed tree widget to expand/hide subtrees
- fixed richtext widget to recognize html tags with arguments and
  handle '&nbsp;'
* Fri Mar 30 2001 - kkaempf@suse.de
- dont install lib, only plugin is needed
* Mon Mar 26 2001 - ma@suse.de
- added missing 'const' in previous fix
* Fri Mar 23 2001 - ma@suse.de
- version to 2.3.5
- fixed dirty hack in NCurses.cc, using NCursesPanel's private
  'typedef struct UserHook;'.
* Thu Mar 22 2001 - ma@suse.de
- version to 2.3.4
- allow multiline labeltexts for RadioButton and PushButton (#6711)
- let ComboBox's list popup appear below value field (not centered
  on screen)
- provide a TextEntry popup in IntField, to manually enter a value
* Mon Mar 12 2001 - arvin@suse.de
- version to 2.3.3
- Strip plugin in package.
* Thu Mar 08 2001 - ma@suse.de
- package name changed from y2curses(old) to yast2-ui-ncurses(new).
* Fri Feb 23 2001 - ma@suse.de
- setLanguage now sets a proper defaultEncoding. At startup the
  defaultEncoding is set according to ${LANG}.
- The default 'language to encoding' mapping is stored in the
  script 'lang2encoding.tab' which generates 'lang2encoding.cc'.
- Evaluation of ${Y2NCURSES_ENCODING} has been removed.
* Fri Feb 23 2001 - ma@suse.de
- version to 2.3.2
- moved class NCstring back from libyui.
* Thu Feb 22 2001 - ma@suse.de
- initiate NCurses::Redraw for _all_ visible dialogs on encoding
  change.
- Y2NCursesUI constructor will set the defaultEncoding to the value
  of Y2NCURSES_ENCODING environment variable, if present. Might be
  helpfull for testing until some other y2 part sets the encoding
  according to the LANG variable.
* Wed Feb 21 2001 - ma@suse.de
- version to 2.3.1
- adjustments to new libyui(NCstring) interface
- various changes to get a correct screen after font/encoding
  has been changed.
* Sat Jan 27 2001 - arvin@suse.de
- package split y2curses / y2curses-devel
* Sat Jan 20 2001 - arvin@suse.de
- version to 2.2.19
- make package compile
* Fri Jan 19 2001 - ma@suse.de
- version to 2.2.18
- Pass encoding as argument to NCstring::setDefaultEncoding()
* Thu Jan 18 2001 - sh@suse.de
- version to 2.2.17
- added new parameter "encoding" to setConsoleFont()
* Mon Jan 15 2001 - ma@suse.de
- version to 2.2.16
- fixed IntField not responding to opt(notify) (#5636, no volume control
  in sound configuration due to missing callback)
- map UI-specific redrawScreen() to NCurses::Refresh()
* Thu Jan 11 2001 - ma@suse.de
- version to 2.2.15
- fixed attribute set for BW mode (list and table selection were
  not visible) (#3756)
* Thu Jan 11 2001 - ma@suse.de
- version to 2.2.14
- Do screen refresh on <Ctrl-L> to get rid of any messages that
  might have been writen to the console (e.g. network shutdown)
* Fri Jan 05 2001 - ma@suse.de
- version to 2.2.13
- fixed missing caption in empty tables (#5192)
* Thu Jan 04 2001 - ma@suse.de
- version to 2.2.12
- fixed incorrect display of 8bit chars in RichText widgets (#4967)
* Thu Jan 04 2001 - kkaempf@suse.de
- version to 2.2.11
  move NCstring to libyui
* Tue Jan 02 2001 - ma@suse.de
- fixed: whole passwd field filled with '*' (#5107)
* Fri Dec 22 2000 - ma@suse.de
- version to 2.2.10
- new MultiLineEdit widget
* Wed Dec 20 2000 - ma@suse.de
- version to 2.2.9
- new LogView widget
* Tue Dec 19 2000 - ma@suse.de
- version to 2.2.8
- basic Tree (always expanded)
* Tue Dec 19 2000 - ma@suse.de
- version to 2.2.7
- pass YCPstrings to ui specific widgets
* Mon Dec 18 2000 - ma@suse.de
- version to 2.2.6
- some more missing recodes fixed.
- changed behaviour of NCDialog if UI requests input from a dialog
  with no active items. Previous version missed to look for a widget
  that might have been enabeled since the last request, and thus may
  be activated now. If there's still no active widget, the request is
  ignored on pollInput() and idleLoop(). Previous version sent ET_CANCEL,
  causing the dialog to be closed.
* Thu Dec 14 2000 - ma@suse.de
- version to 2.2.5
- fixed Table to show column separator and headline
- force recoding of utf8 strings where YUI provides them as
  'class string' (only YCPString is recoded automaticaly).
- separated table items and style from TablePad structure.
* Wed Dec 13 2000 - ma@suse.de
- version to 2.2.4
- new NCPadWidget as base for all scrollable widgets.
- new NCPad's for plain and list style
* Wed Dec 06 2000 - ma@suse.de
- version to 2.2.3
- provide ComboBox widget
- fix TextEntry (didn't scroll on long texts)
- fix RichText (avoid hscroll, support bold/it/tt and simple list)
- code, layout and debug stuff cleanup
- dummy Tree and LogView widgets
* Tue Nov 28 2000 - arvin@suse.de
- version to 2.2.2
- plugin is linked against libncurses and libpanel.
* Thu Nov 16 2000 - ma@suse.de
- version to 2.2.1
- provide IntField widget
* Thu Nov 16 2000 - kkaempf@suse.de
- split library and plugin
* Wed Nov 08 2000 - kkaempf@suse.de
- link with libutil and libcrypt
* Wed Oct 25 2000 - kkaempf@suse.de
- provide lib and plugin
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Wed Oct 25 2000 - kkaempf@suse.de
- updated version, prepared for new libyui interface
  version 2.1.1
* Mon Jul 24 2000 - ma@suse.de
- version to 2.0.8
- workaround another librecode memory leak (#3589)
* Thu Jul 20 2000 - ma@suse.de
- version to 2.0.7
- fixed broken enable/disable items (#3550)
* Mon Jul 17 2000 - ma@suse.de
- version to 2.0.6
- fixed `opt(`default) for Pushbuttons (#3071)
* Fri Jul 14 2000 - ma@suse.de
- version to 2.0.5
- replaced dummy ComboBox by copy of TextEntry widget.
- hotkey indicator stripped from widget labels (#3511)
* Fri Jul 14 2000 - ma@suse.de
- version to 2.0.4
- always(!) limit dialog size by screen size. There was one
  case missing, causing eg. package descriptions to abort because
  too large dialog sizes were requested (#3136)
* Thu Jul 13 2000 - ma@suse.de
- version to 2.0.3
- redraw screen immediately after any setfont request (#3220)
* Wed Jul 12 2000 - ma@suse.de
- version to 2.0.2
- missing frames and frame labes added (#3133)
* Mon Jun 19 2000 - schwab@suse.de
- Add %%suse_update_config.
- Lower opt level on ia64.
* Mon Jun 05 2000 - kkaempf@suse.de
- fix include path
* Thu May 18 2000 - kkaempf@suse.de
- install in plugin
  interface change for tree widget
  bump version to 2.0.1
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
